package cn.superdesk.uniorder.dubbo.facade.invoice.common;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoice;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoiceParam;
import cn.superdesk.uniorder.dto.param.invoice.common.InvoiceTypeModeConfigSzhtxxPaperInvoiceQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-04-22 10:22:57
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-04-22 10:22:57
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboInvoiceTypeModeConfigSzhtxxPaperInvoiceService {

    /****************************************** extends BaseService 部分 start ******************************************/

    @Deprecated
    void addObj(InvoiceTypeModeConfigSzhtxxPaperInvoiceParam param);

    @Deprecated
    void updateObj(InvoiceTypeModeConfigSzhtxxPaperInvoiceParam param);

    @Deprecated
    void deleteObj(Long id);

    @Deprecated
    InvoiceTypeModeConfigSzhtxxPaperInvoice findById(Long id);

    @Deprecated
    PageInfo<InvoiceTypeModeConfigSzhtxxPaperInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

    @Deprecated
    List<InvoiceTypeModeConfigSzhtxxPaperInvoice> findAll(Map<String, Object> queryMap);

    /****************************************** extends BaseService 部分   end
     * @return******************************************/


    int addInvoiceTypeModeConfigSzhtxxPaperInvoice(InvoiceTypeModeConfigSzhtxxPaperInvoiceParam param, LoginSysUser loginSysUser);

    int updateInvoiceTypeModeConfigSzhtxxPaperInvoice(InvoiceTypeModeConfigSzhtxxPaperInvoiceParam param, LoginSysUser loginSysUser);

    int deleteInvoiceTypeModeConfigSzhtxxPaperInvoice(Long id, LoginSysUser loginSysUser);

    InvoiceTypeModeConfigSzhtxxPaperInvoice findInvoiceTypeModeConfigSzhtxxPaperInvoiceById(Long id);

    R<List<InvoiceTypeModeConfigSzhtxxPaperInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

    R<List<InvoiceTypeModeConfigSzhtxxPaperInvoice>> pageQueryGenericParam(InvoiceTypeModeConfigSzhtxxPaperInvoiceQueryCriteria criteria);
}
